IP Changer 3

What is IP Changer Version 3 ?

IP Changer is a utility program that eases the process of changing IP information to one or more network adapters.

IP Changer is mostly targeted to IT professionals but end user might find it helpfull too.

Here is the main screen of IP Changer.

IP Changer is F R E E W A R E if for any reason you have paid for it ask for a refund.

Copyright © <2010>, <GTDelphicomponents.gr>

Created with the Freeware Edition of HelpNDoc: Easy CHM and documentation editor


What's New

What's new in version 3 IP Changer :

  • Revised, more friendly user interface.
  • Full Unicode support.
  • Tray icon functionality.
  • Complete support of Windows7

Copyright © <2010>, <GTDelphicomponents.gr>

Created with the Freeware Edition of HelpNDoc: Easily create Help documents


Adding a new IP set

IP Changer can store multiple IP sets to be applied per network adapter.

To add an IP set from the main screen press the Add IP set button

After that in the following form enter all the needed information for the new IP set

Copyright © <2010>, <GTDelphicomponents.gr>

Created with the Freeware Edition of HelpNDoc: Full featured Documentation generator


Editing a new IP set

To edit a already stored IP set, from the main screen of IP Changer press the Edit IP Set button

To edit an IP set first you must select one.

IP Changer displays currently selected IP set where the red arrow displays.

Copyright © <2010>, <GTDelphicomponents.gr>

Created with the Freeware Edition of HelpNDoc: Easily create CHM Help documents


Deleting an IP set

To delete an IP set from the main screen press the Delete IP set button

Confirmation will be asked for the delete operation

Copyright © <2010>, <GTDelphicomponents.gr>

Created with the Freeware Edition of HelpNDoc: Single source CHM, PDF, DOC and HTML Help creation


Managing Connections

Network connections are automatically discovered from IP Changer, so there is not some real function in Managing Connections but a mere display of system networks.

Copyright © <2010>, <GTDelphicomponents.gr>

Created with the Freeware Edition of HelpNDoc: Full featured Help generator


Tray Icon Functionality

IP Changer Version 3 has added tray icon functionality,with all major functions of IP Changer available via the tray icon.

Copyright © <2010>, <GTDelphicomponents.gr>

Created with the Freeware Edition of HelpNDoc: Easily create HTML Help documents


Contact Info

IP Changer web site GTDelphicomponents.gr

Copyright © <2010>, <GTDelphicomponents.gr>

Created with the Freeware Edition of HelpNDoc: Free Web Help generator